<?xml version='1.0' encoding='UTF-8'?>
<weblogic-ejb-jar xmlns="http://www.bea.com/ns/weblogic/90" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.bea.com/ns/weblogic/90 http://www.bea.com/ns/weblogic/920/weblogic-ejb-jar.xsd">

    <description>Generated by XDoclet</description>

    <weblogic-enterprise-bean>
        <ejb-name>LoggerMessageDrivenBean</ejb-name>

        <message-driven-descriptor>
            <pool>
                <max-beans-in-free-pool>100</max-beans-in-free-pool>
                <initial-beans-in-free-pool>5</initial-beans-in-free-pool>
            </pool>
            <destination-jndi-name>jms/cds/LoggerQueue</destination-jndi-name>
            <connection-factory-jndi-name>jms/cds/LoggerConnectionFactory</connection-factory-jndi-name>
        </message-driven-descriptor>

        <resource-description>
            <res-ref-name>jms/cds/LoggerConnectionFactory</res-ref-name>
            <jndi-name>jms/cds/LoggerConnectionFactory</jndi-name>
        </resource-description>

        <enable-call-by-reference>true</enable-call-by-reference>
        <jndi-name>jms/LoggerMessageDrivenBean</jndi-name>
        <local-jndi-name>comp/env/ejb/local/jms/LoggerMessageDrivenBean</local-jndi-name>

    </weblogic-enterprise-bean>
    <weblogic-enterprise-bean>
        <ejb-name>ReadAuditMessageDrivenBean</ejb-name>

        <message-driven-descriptor>
            <pool>
                <max-beans-in-free-pool>100</max-beans-in-free-pool>
                <initial-beans-in-free-pool>5</initial-beans-in-free-pool>
            </pool>
            <destination-jndi-name>jms/cds/ReadAuditQueue</destination-jndi-name>
            <connection-factory-jndi-name>jms/cds/LoggerConnectionFactory</connection-factory-jndi-name>
        </message-driven-descriptor>

        <resource-description>
            <res-ref-name>jms/cds/LoggerConnectionFactory</res-ref-name>
            <jndi-name>jms/cds/LoggerConnectionFactory</jndi-name>
        </resource-description>

        <enable-call-by-reference>true</enable-call-by-reference>
        <jndi-name>jms/ReadAuditMessageDrivenBean</jndi-name>
        <local-jndi-name>comp/env/ejb/local/jms/ReadAuditMessageDrivenBean</local-jndi-name>

    </weblogic-enterprise-bean>
    <weblogic-enterprise-bean>
        <ejb-name>ReadRpcAuditMessageDrivenBean</ejb-name>

        <message-driven-descriptor>
            <pool>
                <max-beans-in-free-pool>100</max-beans-in-free-pool>
                <initial-beans-in-free-pool>5</initial-beans-in-free-pool>
            </pool>
            <destination-jndi-name>jms/pathways/ReadPathwaysAuditQueue</destination-jndi-name>
            <connection-factory-jndi-name>jms/cds/LoggerConnectionFactory</connection-factory-jndi-name>
        </message-driven-descriptor>

        <resource-description>
            <res-ref-name>jms/cds/LoggerConnectionFactory</res-ref-name>
            <jndi-name>jms/cds/LoggerConnectionFactory</jndi-name>
        </resource-description>

        <enable-call-by-reference>true</enable-call-by-reference>
        <jndi-name>jms/ReadRpcAuditMessageDrivenBean</jndi-name>
        <local-jndi-name>comp/env/ejb/local/jms/ReadRpcAuditMessageDrivenBean</local-jndi-name>

    </weblogic-enterprise-bean>
    
</weblogic-ejb-jar>
